<?php

declare(strict_types=1);

namespace ComerciaGlobalPayments\AddonPayments\SDK\Response;

/**
 * Interface ErrorResponseInterface.
 *
 * Defines an interface for operations with errors.
 */
interface ErrorResponseInterface extends ResponseInterface
{
    /**
     * Get error message.
     */
    public function getReason(): string;

    public function setHttpResponse($httpResponse): self;

    public function setReason(string $reason): self;
}
